import java.awt.Shape;
import java.awt.geom.Rectangle2D;
import java.awt.geom.GeneralPath;
import java.util.ArrayList;
import java.util.Iterator;

/**
 * Eine KonferenzTischGruppe
 * 
 * @author Claus Albowski
 * @version 2  (12.05.09)
 */
public class KonferenzTischGruppe extends Gruppe
{
    private int anzahl;

    /**
    * Erzeuge eine neue KonferenzTischGruppe.
    */
    public KonferenzTischGruppe(int anzahl) {
        super(10, 220, "rot", 0);
        this.anzahl=anzahl;
        if (anzahl<1) this.anzahl=1;
        if (anzahl>5) this.anzahl=5;
        init();
    }
    
    /**
    * erzeugt die Elemente.
    */
    protected void init() {
        super.init();
        for (int i=0; i<anzahl; i++) 
        if ((i % 2)==0) fuegeHinzu(new KonferenzTisch(i*2*50, 0, farbe, 0, 50));
        else fuegeHinzu(new KonferenzTisch(i*2*50, 0, farbe, 180, 50));
    }

}
