import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 10.05.2011
  * @author
  */

public class Gui extends JFrame {
  // Anfang Attribute
  private JMenuBar jmb = new JMenuBar();
  private JMenu jDateiMenu = new JMenu("Datei");
  private JMenuItem DateiJMenuItem1 = new JMenuItem("Oeffnen");
  private JMenuItem DateiJMenuItem2 = new JMenuItem("Speichern");
  private JMenuItem DateiJMenuItem3 = new JMenuItem("Beenden");
  private JMenu jBearbeitenMenu = new JMenu("Bearbeiten");
  private JMenuItem BearbeitenJMenuItem1 = new JMenuItem("Stuhl");
  private JMenuItem BearbeitenJMenuItem2 = new JMenuItem("Tisch");
  private JMenuItem BearbeitenJMenuItem3 = new JMenuItem("Sessel");
  private JMenuItem BearbeitenJMenuItem4 = new JMenuItem("Bett");
  private JMenuItem BearbeitenJMenuItem5 = new JMenuItem("Schrank");
  private JMenuItem BearbeitenJMenuItem6 = new JMenuItem("Schrankwand");
  private JMenuItem BearbeitenJMenuItem8 = new JMenuItem("Loeschen");
  private JMenuItem BearbeitenJMenuItem9 = new JMenuItem("Drehen");
  private JMenuItem BearbeitenJMenuItem10 = new JMenuItem("neue Farbe");
  // Ende Attribute

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    setJMenuBar(jmb);
    jmb.add(jDateiMenu);
    DateiJMenuItem1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        DateiJMenuItem1_ActionPerformed(evt);
      }
    });
    jDateiMenu.add(DateiJMenuItem1);

    DateiJMenuItem2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        DateiJMenuItem2_ActionPerformed(evt);
      }
    });
    jDateiMenu.add(DateiJMenuItem2);

    DateiJMenuItem3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        DateiJMenuItem3_ActionPerformed(evt);
      }
    });
    jDateiMenu.add(DateiJMenuItem3);

    jmb.add(jBearbeitenMenu);
    BearbeitenJMenuItem1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem1_ActionPerformed(evt);
      }
    });
    jBearbeitenMenu.add(BearbeitenJMenuItem1);

    BearbeitenJMenuItem2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem2_ActionPerformed(evt);
      }
    });
    jBearbeitenMenu.add(BearbeitenJMenuItem2);

    BearbeitenJMenuItem3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem3_ActionPerformed(evt);
      }
    });
    jBearbeitenMenu.add(BearbeitenJMenuItem3);

    BearbeitenJMenuItem4.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem4_ActionPerformed(evt);
      }
    });
    jBearbeitenMenu.add(BearbeitenJMenuItem4);

    BearbeitenJMenuItem5.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem5_ActionPerformed(evt);
      }
    });
    jBearbeitenMenu.add(BearbeitenJMenuItem5);

    BearbeitenJMenuItem6.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem6_ActionPerformed(evt);
      }
    });
    jBearbeitenMenu.add(BearbeitenJMenuItem6);

    jBearbeitenMenu.addSeparator();
    BearbeitenJMenuItem8.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem8_ActionPerformed(evt);
      }
    });
    jBearbeitenMenu.add(BearbeitenJMenuItem8);

    BearbeitenJMenuItem9.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem9_ActionPerformed(evt);
      }
    });
    jBearbeitenMenu.add(BearbeitenJMenuItem9);

    BearbeitenJMenuItem10.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem10_ActionPerformed(evt);
      }
    });
    jBearbeitenMenu.add(BearbeitenJMenuItem10);

    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  public void DateiJMenuItem1_ActionPerformed(ActionEvent evt) {
    // TODO hier Quelltext einfgen
  }

  public void DateiJMenuItem2_ActionPerformed(ActionEvent evt) {
    // TODO hier Quelltext einfgen
  }

  public void DateiJMenuItem3_ActionPerformed(ActionEvent evt) {
    Leinwand lw = Leinwand.gibLeinwand();
    lw.setzeSichtbarkeit(false);
    System.exit(0);
  }

  Controller controller=Controller.gibController();
  public void BearbeitenJMenuItem1_ActionPerformed(ActionEvent evt) {
    controller.neu("Stuhl");
  }

  public void BearbeitenJMenuItem2_ActionPerformed(ActionEvent evt) {
    controller.neu("Tisch");
  }

  public void BearbeitenJMenuItem3_ActionPerformed(ActionEvent evt) {
    controller.neu("Sessel");
  }

  public void BearbeitenJMenuItem4_ActionPerformed(ActionEvent evt) {
    controller.neu("Bett");
  }

  public void BearbeitenJMenuItem5_ActionPerformed(ActionEvent evt) {
    controller.neu("Schrank");
  }

  public void BearbeitenJMenuItem6_ActionPerformed(ActionEvent evt) {
    controller.neu("Schrankwand");
  }

  public void BearbeitenJMenuItem8_ActionPerformed(ActionEvent evt) {
    controller.loeschen();
  }

  public void BearbeitenJMenuItem9_ActionPerformed(ActionEvent evt) {
    controller.drehe(JOptionPane.showInputDialog(this, "Winkel ?"));
  }

  public void BearbeitenJMenuItem10_ActionPerformed(ActionEvent evt) {
    controller.aendereFarbe(JOptionPane.showInputDialog(this, "Farbe ?"));
  }

  // Ende Methoden

  public static void main(String[] args) {
    new Gui("Gui");
  }
}
