import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 04.02.2007
  * @author
  */

public class Gui extends JFrame {
  // Anfang Variablen
  private JTextArea jTextArea1 = new JTextArea("");
  private JScrollPane jTextArea1ScrollPane = new JScrollPane(jTextArea1);
  private JTextField jTextField1 = new JTextField();
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  // Ende Variablen

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { dispose(); }
    });
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2 ;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jTextArea1.setText("");
    jTextArea1.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jTextArea1ScrollPane);
//    cp.add(jTextArea1);
    jTextArea1ScrollPane.setBounds(16, 72, 265, 89);
    jTextField1.setBounds(16, 8, 121, 24);
    jTextField1.setText("Hier Text eingeben!");
    jTextField1.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jTextField1);
    jButton1.setBounds(16, 40, 123, 25);
    jButton1.setText("OK");
    jButton1.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jButton1);
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });

    jButton2.setBounds(176, 8, 99, 49);
    jButton2.setText("ENDE");
    jButton2.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jButton2);
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2_ActionPerformed(evt);
      }
    });

    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Ereignisprozeduren
  public void jButton1_ActionPerformed(ActionEvent evt) {
    jTextArea1.append(jTextField1.getText()+String.valueOf('\n'));
  }

  public void jButton2_ActionPerformed(ActionEvent evt) {
    System.exit(0);
  }

  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new Gui("Gui");
  }
}

