import java.awt.Shape;
import java.util.ArrayList;

/**
 * Eine Schrankwand, die manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 */
public class Schrankwand extends Gruppe
{
  private int anzahl;

  /**
   * Erzeuge eine neue Schrankwand mit einer Standardfarbe und Standardgroesse
   * an einer Standardposition.
   * Der Konstruktor muss die Zahl der Schrnke bergeben bekommen.
   */
    public Schrankwand(int anzahl, String farbe)
  {
    int schrankbreite = 60;
    this.anzahl = anzahl;
    breite = schrankbreite*anzahl;
    tiefe  = 37;
    for (int i=0;i<anzahl;i++){
        fuegeHinzu(new Schrank(i*schrankbreite, 0, farbe, orientierung, schrankbreite, tiefe));
    }
  }
  
  
}
