
/**
 * Beschreiben Sie hier die Klasse Warteschlange.
 * 
 * @author claus albowski
 * @version (dez 2020)
 */
public class Warteschlange
{
    Listenelement kopf, schwanz; 

    /**
     * Konstruktor fuer Objekte der Klasse Warteschlange
     */
    public Warteschlange()
    {
        kopf=null;
        schwanz=null;
    }
    
    /**
     * ein Objekt stellt sich an.
     */
    public void anstellen(Object kunde){
        Listenelement neu =  new Listenelement(kunde);
        if (kopf==null) {
            kopf = neu;
            schwanz=neu;
        }
        else {
            schwanz.setzeNaechstes(neu);
            schwanz=neu;
        }
    }
    
    /**
     * bedienen laesst den ersten bearbeiten und
     * die Schlange aufruecken
     */
    public Object bedienen(){
        Object inhalt=null;
        if (!istLeer()) {
            inhalt=kopf.getInhalt();
            kopf=kopf.getNaechstes();
            if (istLeer()) schwanz=null;
        }
        return inhalt;
    }
    
    /**
     * prueft, ob die Schlange leer ist.
     */
    public boolean istLeer(){
        return (kopf==null);
    }
    
    /**
     * zeigt die Namen der Anstehenden
     */
    public void zeige() {
        Listenelement stehtAn = kopf;
        while (stehtAn!=null) {
            System.out.println(((String)stehtAn.getInhalt()));
            stehtAn=stehtAn.getNaechstes();
        }
        System.out.println();
    }
}
