import java.util.LinkedList;

/**
 * Die Klasse Warteschlange verwendet die LinkedList
 * 
 * @author claus albowski
 * @version (dez 2020)
 */
public class Warteschlange
{
    LinkedList<Kunde> warteschlange;

    /**
     * Konstruktor fuer Objekte der Klasse Warteschlange
     */
    public Warteschlange()
    {
        warteschlange = new LinkedList();
    }
    
    /**
     * ein Objekt stellt sich an.
     */
    public void anstellen(Kunde neu){
        warteschlange.add(neu);
    }
    
    /**
     * bedienen laesst den ersten bearbeiten und
     * die Schlange aufruecken
     */
    public Kunde bedienen(){
        if (istLeer()) return null;
        Kunde kunde = warteschlange.pop();
        return kunde;
    }
    
    /**
     * prueft, ob die Schlange leer ist.
     */
    public boolean istLeer(){
        return warteschlange.isEmpty();
    }
    
    /**
     * zeigt die Namen der Anstehenden
     */
    public void zeige() {
        for (Kunde kunde : warteschlange)
        System.out.println(kunde.gibNamen());
        System.out.println();
    }
}
